<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{billing.idBilling}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!billing.idBilling">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="billing.idBilling" readonly />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billing.billingNumber" for="field_billingNumber">Billing Number</label>
                        <input type="text" class="form-control" name="billingNumber" id="field_billingNumber"
                            [(ngModel)]="billing.billingNumber"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billing.dateCreate" for="field_dateCreate">Date Create</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="billing.dateCreate"
                                dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billing.dateDue" for="field_dateDue">Date Due</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dateDue" name="input_dateDue" [(ngModel)]="billing.dateDue"
                                dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.billing.billingType" for="field_billingType">Billing Type</label>
                        <select class="form-control" id="field_billingType" name="billingType" [(ngModel)]="billing.billingTypeId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="billingTypeOption.idBillingType" *ngFor="let billingTypeOption of billingtypes; trackBy: trackBillingTypeById">{{billingTypeOption.description}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.billing.internal" for="field_internal">Internal</label>
                        <select class="form-control" id="field_internal" name="internal" [(ngModel)]="billing.internalId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.billing.billTo" for="field_billTo">Bill To</label>
                        <select class="form-control" id="field_billTo" name="billTo" [(ngModel)]="billing.billToId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.billing.billFrom" for="field_billFrom">Bill From</label>
                        <select class="form-control" id="field_billFrom" name="billFrom" [(ngModel)]="billing.billFromId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.id}}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>